package com.ningdatech.pmapi.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.ArrayList;
import java.util.List;

/**
 * @author zpf
 * @date 2023/3/2 下午5:37
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "provincial")
public class ProvincialProperties {
    private String host;

    private String pushUrl;

    private String detailUrl;

    private String domainUrl;

    private String key;

    private String secret;
}
