package com.ningdatech.pmapi.common.constant;

/**
 * <p>
 * RegionConst
 * </p>
 *
 * @author WendyYang
 * @since 13:57 2023/3/1
 */
public interface RegionConst {

    //---------------------------------------地区层级(缩写RL)-------------------------------------------------------------

    int RL_PROVINCE = 1;

    int RL_CITY = 2;

    int RL_COUNTY = 3;

    //---------------------------------------地区编码(缩写RC)-------------------------------------------------------------

    /**
     * 丽水行政区划编码
     */
    String RC_LS = "331100";
    String RC_LS_SBJ_IRS = "331101";
    //遂昌县
    String RC_SC = "331123";
    //丽水开发区
    String LS_KF = "331118";
    String LS_KF_NAME = "开发区";

    /**
     * 中国行政区划编码
     */
    String RC_CHINA = "100000";


    /**
     * 浙江行政区划编码
     */
    String RC_ZJ = "330000";

    //----------------------------------------地区父级ID(缩写PID)---------------------------------------------------------

    long PID_CHINA = 0;

}
