package com.ningdatech.pmapi.dashboard.model.basic;

import com.ningdatech.pmapi.dashboard.constant.ChartTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2023/8/2 下午3:02
 */

@Data
@ApiModel("图表数据")
public class AnalysisChart {

    @ApiModelProperty("图表数据类型")
    private ChartTypeEnum chartType;

    @ApiModelProperty("数据列表")
    private List<AnalysisData> dataList;

}
