package com.ningdatech.pmapi.dashboard.model.basic;

import com.ningdatech.pmapi.common.compare.Compare;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author liuxinxin
 * @date 2023/8/4 下午3:51
 */

@Data
@ApiModel("单位项目数量")
public class CompanyProjectCntBO {

    @ApiModelProperty("建设单位名称")
    private String buildOrgName;

    @Compare("建设单位统一社会信用代码")
    private String orgCreditCode;

    @ApiModelProperty("项目数量")
    private Integer projectCnt;

    @ApiModelProperty("项目预算（批复金额总合）")
    private BigDecimal approvedTotalInvestmentIncreaseSum;

}
