package com.ningdatech.pmapi.expert.model.req;


import com.ningdatech.pmapi.expert.model.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author liuxinxin
 * @date 2022/8/19 下午6:40
 */
@Data
@ApiModel("专家管理员专家信息更新请求")
public class AdminExpertBasicInfoModifyRequest {

    @ApiModelProperty("专家用户id")
    private Long expertUserId;

    @NotNull
    @ApiModelProperty("基本信息")
    private ExpertBasicInfo basicInfo;

    @NotNull
    @ApiModelProperty("学历信息")
    private ExpertEduInfo eduInfo;

    @NotNull
    @ApiModelProperty("职业信息")
    private ExpertJobInfo jobInfo;

    @NotNull
    @ApiModelProperty("专业信息")
    private ExpertProfessionalInfo professionalInfo;

    @NotNull
    @ApiModelProperty("推荐信息")
    private ExpertRecommendInfo recommendInfo;

    @ApiModelProperty("其他信息")
    private ExpertOtherInfo expertOtherInfo;
}
