package com.ningdatech.pmapi.expert.service;

import com.ningdatech.pmapi.expert.entity.ExpertIntentionWorkRegion;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Liuxinxin
 * @since 2023-02-22
 */
public interface IExpertIntentionWorkRegionService extends IService<ExpertIntentionWorkRegion> {

    /**
     * 根据履职意向地或许满足履职意向地的用户ID集合
     *
     * @param regionCode  regionCode
     * @param regionLevel regionLevel
     * @return java.util.List<java.lang.Long>
     * @author WendyYang
     **/
    List<Long> userIdsMatchIntentionRegion(String regionCode, Integer regionLevel);

}
