package com.ningdatech.pmapi.filemanage.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Classname Documentation
 * @Description
 * @Date 2023/6/6 14:41
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "nd_documentation", description = "资料文档")
public class DocumentationVO {

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("文档ID")
    private Long fileId;

    @ApiModelProperty("文件名")
    private String fileName;

    @ApiModelProperty("上传人")
    private String createBy;

    @ApiModelProperty("上传时间")
    private LocalDateTime createOn;

    @ApiModelProperty("文档大小 kb")
    private Long size;

    @ApiModelProperty("文档分类ID")
    private Long groupId;

    @ApiModelProperty("排序")
    private Integer sort;
}
