package com.ningdatech.pmapi.gov.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 项目字典表
 * </p>
 *
 * @author ZPF
 * @since 2023-08-02
 */
@Data
@TableName("gov_project_dictionary")
@ApiModel(value = "GovProjectDictionary对象", description = "项目字典表")
public class GovProjectDictionary implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    private String createBy;
    private LocalDateTime createOn;

    @ApiModelProperty("类型")
    private String type;

    @ApiModelProperty("值")
    private String value;

    @ApiModelProperty("展示值")
    private String label;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("是否删除")
    private Boolean deleted;
}
