package com.ningdatech.pmapi.irs.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @author liuxinxin
 * @date 2023/3/16 下午6:03
 */

@Component
@Data
public class IrsSealPlatformProperties {
    public static String projectId;

    public static String projectSecret;

    public static String accessKey;

    public static String secretKey;

    public static String apiUrl;

    @Value("${irs.seal-platform.project-id}")
    public void setProjectId(String projectId) {
        IrsSealPlatformProperties.projectId = projectId;
    }

    @Value("${irs.seal-platform.project-secret}")
    public void setProjectSecret(String projectSecret) {
        IrsSealPlatformProperties.projectSecret = projectSecret;
    }

    @Value("${irs.seal-platform.access-key}")
    public void setAccessKey(String accessKey) {
        IrsSealPlatformProperties.accessKey = accessKey;
    }

    @Value("${irs.seal-platform.secret-key}")
    public void setSecretKey(String secretKey) {
        IrsSealPlatformProperties.secretKey = secretKey;
    }

    @Value("${irs.seal-platform.api-url}")
    public void setApiUrl(String apiUrl) {
        IrsSealPlatformProperties.apiUrl = apiUrl;
    }

}
