package com.ningdatech.pmapi.meeting.entity.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * <p>
 * SystemProperties
 * </p>
 *
 * @author WendyYang
 * @since 14:39 2022/9/15
 */
@Data
@Component
public class WebProperties {

    public static String webUrl;

    public static String provincialUrl;

    @Value("${web.url:}")
    private void setWebUrl(String url) {
        webUrl = url;
    }

    /**
     * 省局项目管理调用跳转地址
     */
    @Value("${web.provincial:}")
    private void setProvincial(String provincial) {
        provincialUrl = provincial;
    }

}
