package com.ningdatech.pmapi.meeting.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * <p>
 * MeetingEvalProjectDTO
 * </p>
 *
 * @author WendyYang
 * @since 17:18 2023/2/28
 */
@Data
public class MeetingReviewProjectDTO {

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("项目编码")
    private String projectCode;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("预算年度")
    private Integer projectYear;

    @ApiModelProperty("项目类型")
    private String projectType;

    @ApiModelProperty("申报金额")
    private BigDecimal declareAmount;

    @ApiModelProperty("申报单位")
    private String buildOrg;

    @ApiModelProperty("评审结果")
    private String reviewResult;

}
