package com.ningdatech.pmapi.meeting.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 会议确认名单实体
 * </p>
 *
 * @author WendyYang
 * @since 10:43 2022/8/26
 */
@Data
@ApiModel("会议确认名单实体")
public class ConfirmedRosterReq {

    @NotNull(message = "会议ID不能为空")
    @ApiModelProperty("会议ID")
    private Long meetingId;

    @ApiModelProperty
    private Boolean reconfirmed;

}
