package com.ningdatech.pmapi.meeting.entity.req;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;

/**
 * <p>
 * MeetingCalenderPo
 * </p>
 *
 * @author WendyYang
 * @since 22:38 2022/8/24
 */
@Data
public class MeetingCalenderReq {

    @NotNull(message = "开始日期不能为空")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate startDate;

    @NotNull(message = "结束日期不能为空")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate endDate;

}
