package com.ningdatech.pmapi.meeting.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * 指定邀请规则
 * </p>
 *
 * @author WendyYang
 * @since 11:26 2023/3/1
 */
@Data
@ApiModel("指定邀请规则")
public class AppointRuleVO {

    @ApiModelProperty("邀请说明")
    private String inviteDesc;

    @ApiModelProperty("指定邀请专家")
    private List<ExpertBasicInfoVO> experts;

}