package com.ningdatech.pmapi.meeting.entity.vo;

import com.ningdatech.pmapi.sys.model.dto.RegionDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.util.List;

/**
 * <p>
 * ExpertBasicInfoVo
 * </p>
 *
 * @author WendyYang
 * @since 15:58 2022/8/8
 */
@Data
@Builder
public class ExpertBasicInfoVO {

    @Tolerate
    public ExpertBasicInfoVO() {
    }

    @ApiModelProperty("专家ID")
    private Long expertId;

    @ApiModelProperty("专家姓名")
    private String name;

    @ApiModelProperty("专家层级")
    private List<RegionDTO> regions;

    @ApiModelProperty("职称级别")
    private String jobLevel;

    @ApiModelProperty("单位属性")
    private String companyType;

    @ApiModelProperty("工作单位")
    private String company;

    @ApiModelProperty("联系方式")
    private String contact;

}
