package com.ningdatech.pmapi.meeting.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * ExpertEvaluationToDoListItemVo
 * </p>
 *
 * @author WendyYang
 * @since 13:58 2022/8/29
 */
@Data
@ApiModel("专家评价待办列表")
@EqualsAndHashCode(callSuper = true)
public class ExpertEvaluationToDoListItemVO extends ExpertBasicInfoVO {

    @ApiModelProperty("专家会议ID")
    private Long expertMeetingId;

    @ApiModelProperty("会议ID")
    private Long meetingId;

    @ApiModelProperty("会议名称")
    private String meetingName;

    @ApiModelProperty("会议开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("会议结束时间")
    private LocalDateTime endTime;

}
