package com.ningdatech.pmapi.meeting.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * MeetingExpertListItemFoEvaluationVo
 * </p>
 *
 * @author WendyYang
 * @since 10:06 2022/8/24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("专家评价专家列表视图实体")
public class ExpertListItemFoEvaluationVO extends ExpertBasicInfoVO {

    @ApiModelProperty("是否已评价：true 已评价、false 未评价")
    private boolean evaluated;

    @ApiModelProperty("评价ID")
    private Long evaluationId;

    @ApiModelProperty("专家会议ID")
    private Long expertMeetingId;

}
