package com.ningdatech.pmapi.meeting.entity.vo;

import com.ningdatech.pmapi.meeting.entity.dto.RandomInviteRuleDTO;
import com.ningdatech.pmapi.sys.model.dto.RegionDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * <p>
 * RandomInviteRuleVo
 * </p>
 *
 * @author WendyYang
 * @since 09:55 2022/8/26
 */
@Data
@ApiModel("随机抽取规则视图实体")
@EqualsAndHashCode(callSuper = true)
public class RandomInviteRuleVO extends RandomInviteRuleDTO {

    @ApiModelProperty("履职意向地（回显使用）")
    private List<RegionDTO> intentionRegions;

    @ApiModelProperty("专家层级意向地（回显使用）")
    private List<RegionDTO> expertRegions;

}
