package com.ningdatech.pmapi.meta.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author liuxinxin
 * @date 2022/7/25 下午2:43
 */
@Data
@ApiModel("专家区域信息")
public class ExpertRegionInfo {

    /**
     * 区域编码
     */
    @NotBlank
    @ApiModelProperty("区域编码")
    private String regionCode;

    /**
     * 区域级别
     */
    @NotBlank
    @ApiModelProperty("区域级别")
    private Integer regionLevel;

    /**
     * 区域名称
     */
    @ApiModelProperty("区域名称")
    private String regionName;
}
