package com.ningdatech.pmapi.meta.model.dto;

import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/7/22 上午9:53
 */
@Data
public class TagTreeDTO {


    /**
     * 标签 编码
     * 根标签 擅长方向 good_at
     * 技术专长 technical_expertise
     * 行业领域 industry_sector
     * 其他 other
     */
    private String tagCode;

    /**
     * 标签名称
     */
    private String tagName;

    /**
     * 标签级别
     */
    private Long tagLevel;

    /**
     * 标签父级id
     * 当parent_tag_code 为 -1 时为顶级标签
     */
    private String parentCode;


    private List<TagTreeDTO> children;
}
