package com.ningdatech.pmapi.organization.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author Lierbao
 * @since 2023-02-11
 */
@TableName("ding_employee_info")
@Data
@ApiModel(value = "DingEmployeeInfo对象", description = "")
public class DingEmployeeInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    private Long createBy;

    private Long updateBy;

    private String employeeName;

    private String gmtCreate;

    private String empGender;

    private String empPoliticalStatusCode;

    private String empJobLevelCode;

    private String empBudgetedPostCode;

    private String status;

    private String posJobRankCode;

    private String orderInOrganization;

    private String mainJob;

    private String empPosUnitCode;

    private String empPosEmployeeRoleCode;

    private String empPosInnerInstitutionCode;

    private String employeeCode;

    private String jobAttributesCode;

    private String organizationCode;

    private String empPosVirtualOrganizationCode;

    private String empStatus;

    private Long accountId;

    /**
     * 绑定系统用户手机号
     */
    private String bindUserMobile;

    @ApiModelProperty("头像")
    private String avatar;
}
