package com.ningdatech.pmapi.organization.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2023/3/29 下午2:38
 */

@Data
@ApiModel("树形定制化接口")
public class KeyTreeVO {

    @ApiModelProperty("编码")
    private String key;

    @ApiModelProperty("名称")
    private String title;

    @ApiModelProperty("类型 ORGANIZATION/MEMBER")
    private String type;

    @ApiModelProperty("子集")
    private List<KeyTreeVO> children;

}
