package com.ningdatech.pmapi.organization.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2023/2/16 上午11:50
 */
@Data
@ApiModel("组织列表VO")
public class ResOrganizationListVO {

    public String id;

    @ApiModelProperty("单位名称")
    private String orgName;

    @ApiModelProperty("浙政钉编码")
    private String orgCode;

    @ApiModelProperty("财政编码")
    private String fiscalCode;

    @ApiModelProperty("所属区域id")
    private String regionId;

    @ApiModelProperty("所属区域")
    private String regionName;

    @ApiModelProperty("是否为主管单位")
    private Boolean isCompetentUnit;

    @ApiModelProperty("是否为上级条线主管单位")
    private Boolean isSuperiorLineCompetentUnit;

}
