package com.ningdatech.pmapi.performance.model.dto;

import java.io.Serializable;
import java.util.List;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import org.hibernate.validator.constraints.Range;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 评级计划-添加评价对象
 * @return
 * @author CMM
 * @since 2023/08/02 11:41
 */
@Data
@ApiModel(value = "评级计划-添加评价对象", description = "评级计划-添加评价对象")
public class AddAppraisalObjectDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("评价计划ID")
    private Long appraisalId;

    @ApiModelProperty("评价项目 只有ID 和是否复评")
    private List<Long> projectIds;

    @ApiModelProperty("评价应用ids")
    private List<Long> applicationIds;
}
