package com.ningdatech.pmapi.projectdeclared.model.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Classname DeclaredProjectStatistics
 * @Description
 * @Date 2023/3/20 16:29
 * @Author PoffyZhang
 */
@Data
public class DeclaredProjectStatisticsPO {

    @ApiModelProperty("总项目数")
    private Integer totalNum;
    @ApiModelProperty("建设项目数")
    private Integer buildNum;
    @ApiModelProperty("运维项目数")
    private Integer operationNum;

    @ApiModelProperty("待立项数")
    private Integer notApprovedNum;
    @ApiModelProperty("已立项数")
    private Integer approvedNum;
    @ApiModelProperty("建设中数")
    private Integer constructionNum;
    @ApiModelProperty("待验收数")
    private Integer tobeInspectedNum;
    @ApiModelProperty("已归档数")
    private Integer archivedNum;

    @ApiModelProperty("申报总金额")
    private BigDecimal declaredAmount;
    @ApiModelProperty("立项总金额")
    private BigDecimal approvalAmount;

}
