package com.ningdatech.pmapi.projectdeclared.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Classname FinalAcceptanceVO
 * @Description 终验
 * @Date 2023/5/29 10:00
 * @Author PoffyZhang
 */
@ApiModel(value = "终验", description = "终验")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class FinalAcceptanceVO {


    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("关联应用信息")
    private List<Object> apps;

    @ApiModelProperty("终验材料")
    private String finalAcceptanceMaterials;

}
