package com.ningdatech.pmapi.projectdeclared.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Classname PreInsAcceptancePerson
 * @Description 初验人员
 * @Date 2023/5/30 15:35
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "PreInsAcceptancePersonVO", description = "")
public class PreInsAcceptancePersonVO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("修改人人")
    private String updateBy;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("人员名称")
    private String personName;

    @ApiModelProperty("单位")
    private String unit;
}
