package com.ningdatech.pmapi.projectdeclared.model.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @Classname PreInsVO
 * @Description
 * @Date 2023/5/30 15:35
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "PreInsVO", description = "初验备案详情")
public class PreInsVO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("初验材料")
    private String preliminaryInspectionMaterials;

    @ApiModelProperty("初验验收人员")
    private List<PreInsAcceptancePersonVO> acceptancePersons;
}
