package com.ningdatech.pmapi.projectlib.model.req;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

/**
 * <p>
 * ProjectLibListReq
 * </p>
 *
 * @author ZPF
 * @since 14:35 2023/2/1
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("应用列表查询")
@EqualsAndHashCode(callSuper = true)
public class ProjectApplicationListReq extends PagePo {

    @ApiModelProperty("申报单位code")
    private String buildOrgCode;

    @ApiModelProperty("申报单位名")
    private String buildOrgName;

    @ApiModelProperty("应用名")
    private String applicationName;
}
