package com.ningdatech.pmapi.projectlib.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.pmapi.projectlib.model.entity.ProjectRenewalFundDeclaration;
import com.ningdatech.pmapi.projectlib.mapper.ProjectRenewalFundDeclarationMapper;
import com.ningdatech.pmapi.projectlib.model.po.ProjectRenewalFundDeclarationPO;
import com.ningdatech.pmapi.projectlib.model.req.ProjectRenewalListReq;
import com.ningdatech.pmapi.projectlib.service.IProjectRenewalFundDeclarationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 续建项目资金申请表 服务实现类
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-15
 */
@Service
@RequiredArgsConstructor
public class ProjectRenewalFundDeclarationServiceImpl extends
        ServiceImpl<ProjectRenewalFundDeclarationMapper, ProjectRenewalFundDeclaration> implements IProjectRenewalFundDeclarationService {

    private final ProjectRenewalFundDeclarationMapper mapper;
    @Override
    public Page<ProjectRenewalFundDeclarationPO> pageSql(Page<ProjectRenewalFundDeclarationPO> page, ProjectRenewalListReq req) {
        return mapper.pageSql(page,req);
    }
}
