package com.ningdatech.pmapi.provincial.model.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Classname ProcessCommentDTO
 * @Description
 * @Date 2023/3/2 15:25
 * @Author PoffyZhang
 */
@Data
@Builder
@ApiModel(value = "ProcessCommentRes", description = "省局返回流程审核详情")
@AllArgsConstructor
@NoArgsConstructor
public class ProcessCommentRes {

    @ApiModelProperty("任务id")
    private String taskId;

    @ApiModelProperty("comment")
    private String comment;

    @ApiModelProperty("流程步骤")
    private String stepName;

    @ApiModelProperty("节点ID")
    private String nodeId;

    @ApiModelProperty("审批状态")
    private String status;

    @ApiModelProperty("审批人")
    private String label;

    @ApiModelProperty("时间")
    private String approverTime;
}
