package com.ningdatech.pmapi.sys.model.dto;

import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/7/22 上午9:08
 */
@Data
public class RegionTreeDTO {

    /**
     * 区域码
     */
    private String regionCode;

    /**
     * 地区名
     */
    private String name;

    /**
     * 地区级别
     */
    private Integer level;

    /**
     * 地区父级code 当parent_code 为 -1 时为顶级区域
     */
    private String parentCode;

    private String unionCode;

    private List<RegionTreeDTO> children;

    private Long id;

    private String mapData;

    private Boolean deleted;

    private String govUnit;

}
