package com.ningdatech.pmapi.sys.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * Region - 地域实体
 * </p>
 *
 * @author WendyYang
 * @since 10:33 2022/10/12
 */
@Data
@TableName("nd_region")
public class Region implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String regionCode;

    private String regionName;

    private Integer regionLevel;

    private String govUnit;

    private String parentCode;

    private Long parentId;

    private String regionCodePath;

    private Boolean deleted;

}
