package com.ningdatech.pmapi.todocenter.model.dto;

import com.ningdatech.pmapi.sys.model.dto.AbstractMsgExtraDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 项目审核工作通知信息实体
 *
 * @author CMM
 * @since 2023/04/12 16:13
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ProjectAuditMsgExtraDTO extends AbstractMsgExtraDTO {
    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("流程实例ID")
    private String instanceId;
}
