package com.ningdatech.pmapi.todocenter.model.req;

import java.util.List;

import com.ningdatech.pmapi.common.enumeration.ExportOptionEnum;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 待办中心-导出查询实体信息
 *
 * @author zpf
 * @since 2023/02/18 16:01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ToBeProcessedExportReq extends ToBeProcessedReq {

    @ApiModelProperty("导出选项")
    private List<ExportOptionEnum> exportOptionList;

}
