package com.ningdatech.pmapi.user.model.po;

import com.ningdatech.basic.model.PagePo;
import com.ningdatech.pmapi.user.model.vo.UserRoleVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2023/2/13 上午9:10
 */
@Data
@ApiModel("用户管理查询 请求入参")
public class ReqUserInfoListPO extends PagePo {

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("手机号码")
    private String phoneNo;

    @ApiModelProperty("所在单位（主职）")
    private String orgName;

    @ApiModelProperty("所在单位Code（主职）")
    private String orgCode;

    @ApiModelProperty("所属区域")
    private Long regionId;

    @ApiModelProperty("所属区域名称")
    private Long regionName;

    @ApiModelProperty("用户角色")
    private List<UserRoleVO> userRoleList;

    @ApiModelProperty("状态")
    private String status;

}
