package com.ningdatech.pmapi.user.model.vo;

import com.ningdatech.pmapi.user.entity.enumeration.RoleEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author liuxinxin
 * @date 2023/2/15 下午5:47
 */

@Data
@ApiModel("用户角色VO")
public class UserRoleVO {

    @ApiModelProperty(value = "角色id")
    private Long id;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "角色code")
    private String code;

    private transient LocalDateTime createOn;

}
