DROP TABLE IF EXISTS wflow_users;
CREATE TABLE wflow_users  (
      user_id int8 NOT NULL,
      user_name varchar(50) NOT NULL,
      pingyin varchar(50),
      py varchar(5),
      alisa varchar(50),
      avatar varchar(1024),
      sex BOOL,
      entry_date date,
      leave_date date,
      created timestamp,
      updated timestamp,
      CONSTRAINT "wflow_users_pri" PRIMARY KEY ("user_id")
)
CREATE  INDEX user_id_idx  ON wflow_users(user_id);
CREATE  INDEX leave_date_idex  ON wflow_users(leave_date);

-- ----------------------------
-- Records of wflow_users
-- ----------------------------
INSERT INTO wflow_users VALUES (327382, '李富贵', 'lifugui', 'lfg', NULL, 'https://dd-static.jd.com/ddimg/jfs/t1/188230/26/28979/10654/633026fdEf64e5e84/fc5c07ab3d5eac19.png', b'1', '2022-09-23', NULL, '2022-09-04 18:14:53', '2022-09-25 18:01:41');
INSERT INTO wflow_users VALUES (381496, '旅人', 'lvren', 'lr', 'lr', 'https://pic.rmb.bdstatic.com/bjh/203726324a891b1946ba223209cb3fee.png', b'1', '2020-09-16', NULL, '2020-09-16 13:33:41', '2022-08-14 11:27:49');
INSERT INTO wflow_users VALUES (489564, '李秋香', 'liqiuxiang', 'lqx', 'lqx', NULL, b'1', '2020-09-16', NULL, '2020-09-16 13:35:40', '2022-06-27 16:48:25');
INSERT INTO wflow_users VALUES (568898, '王翠花', 'wangcuihua', 'wch', 'wch', 'https://dd-static.jd.com/ddimg/jfs/t1/204270/25/26917/8646/63302601E2794a142/5b75f81e6d0c4856.png', b'1', '2020-09-16', NULL, '2020-09-16 13:35:01', '2022-09-25 17:57:29');
INSERT INTO wflow_users VALUES (927438, '隔壁老王', 'gebilaowang', 'gblw', NULL, 'https://dd-static.jd.com/ddimg/jfs/t1/21515/30/18678/11719/633025abEe734404d/c2950fef75e96028.png', b'1', NULL, NULL, '2022-09-04 18:16:51', '2022-09-25 17:56:04');
INSERT INTO wflow_users VALUES (3243678, '狗剩', 'gousheng', 'gs', NULL, 'https://dd-static.jd.com/ddimg/jfs/t1/177987/31/29200/17909/63302676E5c00167f/13c59e53269e9f67.png', b'1', NULL, NULL, '2022-09-25 17:50:15', '2022-09-25 17:59:25');
INSERT INTO wflow_users VALUES (3286432, '铁蛋', 'tiedan', 'td', NULL, 'https://dd-static.jd.com/ddimg/jfs/t1/203154/8/26845/14302/633026b7Ea9b381f7/7e7c5d96fcda0d39.png', b'1', NULL, NULL, '2022-09-25 17:48:39', '2022-09-25 18:00:28');
INSERT INTO wflow_users VALUES (6418616, '张三', 'zhangsan', 'zs', 'zs', NULL, b'1', '2020-09-16', NULL, '2020-09-16 13:32:25', '2022-06-27 16:48:32');
INSERT INTO wflow_users VALUES (8902743, '张秋梅', 'zhengqiumei', 'zqm', NULL, NULL, b'1', NULL, NULL, '2022-09-04 18:16:12', '2022-09-04 18:16:13');
INSERT INTO wflow_users VALUES (61769798, '李四', 'lisi', 'ls', 'ls', NULL, b'1', '2019-09-16', NULL, '2020-09-16 13:33:00', '2022-06-27 16:48:34');
