package com.ningdatech.pmapi.common.model.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 * KeyValueDTO
 * </p>
 *
 * @author WendyYang
 * @since 16:40 2022/8/31
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class KeyValDTO<K, V> {

    private K key;

    private V value;

    public static <K, V> KeyValDTO<K, V> of(K k, V v) {
        return new KeyValDTO<>(k, v);
    }

}
