package com.ningdatech.pmapi.dashboard.constant;

/**
 * @author liuxinxin
 * @date 2023/8/2 下午2:52
 */

public enum ChartTypeEnum {

    /**
     * 各区域专家数量分布
     */
    REGION_EXPERT_NUMBER_CHART,

    /**
     * 各区域专家学历分布
     */
    REGION_EXPERT_EDUCATION_CHART,

    /**
     * 各区域专家职称级别分布
     */
    REGION_EXPERT_TITLE_LEVEL_CHART,

    /**
     * 各类型评审次数
     */
    MEETING_TYPE_CNT_CHART,

    /**
     * 项目增补情况
     */
    PROJECT_SUPPLEMENTATION_STATUS_CHART,

    /**
     * 各类型项目数量
     */
    EACH_TYPE_QUANTITY_OF_PROJECT_CHART,

    /**
     * 各区域项目数量
     */
    PROJECTS_NUMBER_IN_EACH_REGION_CHART,

    /**
     * 各领域项目数量
     */
    PROJECTS_NUMBER_IN_VARIOUS_FIELDS_CHART,

    /**
     * 各阶段项目数量
     */
    PROJECTS_NUMBER_IN_EACH_STAGE_CHART,

    /**
     * 各领域项目投资金额
     */
    PROJECTS_INVESTMENT_AMOUNT_IN_VARIOUS_FIELDS_CHART,

    /**
     * 各区域项目投资情况
     */
    PROJECTS_INVESTMENT_SITUATION_IN_VARIOUS_REGIONS

}
