package com.ningdatech.pmapi.dashboard.model.basic;

import com.ningdatech.pmapi.common.compare.Compare;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author liuxinxin
 * @date 2023/8/4 下午4:12
 */

@Data
@ApiModel("项目预算")
public class ProjectATIISBO {

    @ApiModelProperty("项目id")
    private Long projectId;

    @ApiModelProperty("项目编号")
    private String projectCode;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("批复金额")
    @Compare("批复金额")
    private BigDecimal approvedTotalInvestmentIncrease;
}
