package com.ningdatech.pmapi.datascope.provider;


import com.ningdatech.pmapi.datascope.model.DataScopeDTO;

import java.util.Optional;

/**
 * <p>
 * 数据权限获取接口
 * </p>
 *
 * @author zpf
 * @since 2023/3/27 23:28
 */
public interface DataScopeProvider {

    /**
     * 获取登录人的数据权限
     *
     * @return 数据权限
     **/
    Optional<DataScopeDTO> findDataFieldProperty();

}
