package com.ningdatech.pmapi.expert.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author Liuxinxin
 * @since 2023-04-17
 */
@Data
@TableName("expert_gov_business_strip")
@ApiModel(value = "ExpertGovBusinessStrip对象")
public class ExpertGovBusinessStrip implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    private String businessStripCode;

    private String businessStripName;

    private Long expertUserId;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

}
