package com.ningdatech.pmapi.expert.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author liuxinxin
 * @date 2022/7/25 下午2:03
 * 专家信息字典字段信息
 */
@Data
@ApiModel("字典字段信息")
public class DictionaryFieldInfo {

    /**
     * 字段名称
     */
    @NotBlank
    @ApiModelProperty("字典字段名称")
    private String dictionaryFieldName;

    /**
     * 字典code
     */
    @ApiModelProperty(value = "字典code")
    private String dictionaryCode;


    @ApiModelProperty(value = "字典code含义", required = false)
    private String dictionaryName;
}
