package com.ningdatech.pmapi.expert.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author liuxinxin
 * @date 2022/7/25 下午2:16
 */
@Data
public class ExpertAvoidCompanyInfo {

    @NotBlank
    @ApiModelProperty("公司名称")
    private String companyName;

    @ApiModelProperty("公司唯一标识 即 调用获取组织架构的树状结构（单位筛选列表） 接口是对应公司的 organizationCode")
    private String companyUniqCode;

}
