package com.ningdatech.pmapi.expert.model;

import com.ningdatech.pmapi.common.model.FileBasicInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/7/27 上午11:52
 */
@Data
@ApiModel(description = "推荐信息")
public class ExpertRecommendInfo {

    /**
     * 推荐方式
     */
    @ApiModelProperty("推荐方式")
    private List<DictionaryFieldInfo> recommendedWay;

    @ApiModelProperty("推荐证明材料")
    private List<FileBasicInfo> recommendationProofFile;
}
