package com.ningdatech.pmapi.expert.model.dto;

import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/7/22 下午5:13
 */
@Data
public class ExpertDictionaryDTO {

    /**
     * 字典编码
     */
    private String dictionaryCode;

    /**
     * 手机对应专家信息字段号
     * 政治面貌 political
     * 专家来源 expert_source
     * 学历 edu
     * 学位 degree
     * 在职状态 job_status
     * 行政职级 administrative_rank
     * 内外围（专家类型） expert_type
     * 单位类型 company_attribute
     * 职称级别 title_level
     */
    private String expertInfoField;
}
