package com.ningdatech.pmapi.expert.model.dto;

import com.ningdatech.pmapi.common.model.FileBasicInfo;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/7/28 下午3:48
 */
@Data
public class ModifyApplyExtraInfoDTO {
    /**
     * 情况说明
     */
    @NotBlank
    private String factSheet;

    /**
     * 证明材料
     */
    private List<FileBasicInfo> evidenceList;
}
