package com.ningdatech.pmapi.expert.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 * ProjectExpertReviewDetailVO
 * </p>
 *
 * @author WendyYang
 * @since 2023/4/19
 **/
@Data
public class ProjectReviewDetailVO {

    @ApiModelProperty("评审模版详情")
    private Collection<ReviewTemplateVO> templates;

    private Collection<ReviewDetailByTypeVO> reviews;

    @Data
    public static class ReviewDetailByTypeVO {

        @ApiModelProperty("评审类型")
        private Integer reviewType;

        @ApiModelProperty("最终评审意见")
        private ExpertReviewDetailVO finalReview;

        @ApiModelProperty("组员评审意见")
        private List<ExpertReviewDetailVO> teamMemberReviews;

    }


}
