package com.ningdatech.pmapi.filemanage.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Classname Documentation
 * @Description
 * @Date 2023/6/6 14:41
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "nd_documentation_group", description = "资料文档分组")
public class DocumentationGroupVO {

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("上传人")
    private String createBy;

    @ApiModelProperty("上传时间")
    private LocalDateTime createOn;

    @ApiModelProperty("分组名")
    private String name;

    @ApiModelProperty("排序")
    private Integer sort;
}
