package com.ningdatech.pmapi.filemanage.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author CMM
 * @since 2023-06-16
 */
@Data
@ApiModel(value = "ProjectApplyBorrowVO", description = "")
public class ProjectApplyBorrowVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("借阅项目ID")
    private Long projectId;

    @ApiModelProperty("借阅项目名")
    private String projectName;

    @ApiModelProperty("申请借阅员工code")
    private String applyBorrowEmployeeCode;

    @ApiModelProperty("申请借阅员工名字")
    private String applyBorrowEmployeeName;

    @ApiModelProperty("申请借阅用户任职单位code")
    private String applyBorrowEmpPosUnitCode;

    @ApiModelProperty("申请借阅用户任职单位")
    private String applyBorrowEmpPosUnitName;

    @ApiModelProperty("申请借阅审批流程ID")
    private String instanceId;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("更新人")
    private Long updateBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("申请借阅是否成功")
    private Boolean isSuccess;
}
