package com.ningdatech.pmapi.fiscal.model.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author liuxinxin
 * @date 2023/2/10 下午4:24
 */
@Data
@ApiModel("财政编码配置")
public class ReqCompanyFiscalCodeAndSealSnPO {

//    @NotBlank(message = "组织编码 不能为空")
    @ApiModelProperty("组织编码（需传入用户任职单位code）")
    private String organizationCode;

    @NotBlank(message = "财政编码 不能为空")
    @ApiModelProperty("财政编码")
    private String fiscalCode;

    @NotBlank(message = "印章编号 不能为空")
    @ApiModelProperty("印章编号")
    private String sealSn;

}
