package com.ningdatech.pmapi.fiscal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.pmapi.fiscal.entity.CompanyFiscalCode;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author Lierbao
 * @since 2023-02-10
 */
public interface ICompanyFiscalCodeService extends IService<CompanyFiscalCode> {

    CompanyFiscalCode getByOrganizationCode(String orgCode);

    /**
     * 获取 key orgCode fiscalCode
     *
     * @param orgCodeList
     * @return
     */
    Map<String, String> getByOrgFiscalCodeMap(List<String> orgCodeList);
}
