package com.ningdatech.pmapi.gov.model.req;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Classname ProjectPushReq
 * @Description
 * @Date 2023/8/25 9:45
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "ProjectPushReq", description = "项目保存")
public class ProjectPushReq {

    @NotNull(message = "项目基本信息不能为空")
    private ProjectBaseInfoReq baseinfo;

    @NotNull(message = "项目申报信息不能为空")
    private ProjectApplyReq apply;

    @NotNull(message = "项目审批信息不能为空")
    private ProjectApproveReq approve;

    private ProjectCimplementReq cimplement;

    private ProjectMimplementReq mimplement;

    private List<ProjectProcureReq> procures;
}
