package com.ningdatech.pmapi.meeting.entity.req;

import com.ningdatech.pmapi.meeting.entity.dto.MeetingBasicDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * MeetingCreateReq
 * </p>
 *
 * @author WendyYang
 * @since 14:33 2023/2/28
 */
@Data
public class MeetingCreateReq {

    @Valid
    @NotNull(message = "会议基本信息不能为空")
    @ApiModelProperty("会议基本信息")
    private MeetingBasicDTO meetingBasicInfo;

    @Valid
    @NotNull(message = "会议邀请规则不能为空")
    @ApiModelProperty("会议邀请规则")
    private ExpertInviteReq expertInviteRule;

}
