package com.ningdatech.pmapi.meeting.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * <p>
 * ExpertCountOnChangeVo
 * </p>
 *
 * @author WendyYang
 * @since 10:02 2022/8/8
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("专家抽取数量校验实体")
public class ExpertCountOnChangeVO {

    @ApiModelProperty("每个随机规则对应的可抽取数量")
    private List<Integer> countList;

    @ApiModelProperty("参数是否通过校验：true 是、false 否")
    private Boolean status;

    @ApiModelProperty("错误提醒")
    private String message;

    public void addCountList(Integer count) {
        this.countList.add(count);
    }

}
