package com.ningdatech.pmapi.meeting.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.Collection;
import java.util.List;

/**
 * <p>
 * MeetingCalenderItemVo
 * </p>
 *
 * @author WendyYang
 * @since 22:57 2022/8/24
 */
@Data
@ApiModel("会议日历视图实体")
public class MeetingCalenderItemVO {

    @ApiModelProperty("当前日期")
    private LocalDate today;

    @ApiModelProperty("是否请假")
    private Boolean hasLeave;

    @ApiModelProperty("请假ID")
    private Collection<Long> leaveIds;

    @ApiModelProperty("是否有会议")
    private Boolean hasMeeting;

    @ApiModelProperty("会议信息")
    private List<MeetingByManagerVO> meetings;

}
