package com.ningdatech.pmapi.meeting.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.pmapi.common.model.entity.CountGroupByDTO;
import com.ningdatech.pmapi.meeting.entity.domain.MeetingExpert;
import com.ningdatech.pmapi.meeting.entity.domain.MeetingExpertEvaluation;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;

/**
 * <p>
 * 专家评价表 Mapper 接口
 * </p>
 *
 * @author WendyYang
 * @since 2022-07-25
 */
public interface MeetingExpertEvaluationMapper extends BaseMapper<MeetingExpertEvaluation> {

    Page<CountGroupByDTO<Long>> countExpertAttend(@Param("expertIds") Collection<Long> expertIds, @Param("isAttended") Boolean isAttended, Page<CountGroupByDTO<Long>> page);

    Page<MeetingExpert> pageExpertEvaluationToDo(@Param("meetingIds") Collection<Long> meetingIds, Page<MeetingExpert> po);

}
