package com.ningdatech.pmapi.meeting.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.pmapi.common.model.entity.CountGroupByDTO;
import com.ningdatech.pmapi.meeting.entity.domain.Meeting;

import java.util.List;

/**
 * <p>
 * 会议 Mapper 接口
 * </p>
 *
 * @author WendyYang
 * @since 2022-07-26
 */
public interface MeetingMapper extends BaseMapper<Meeting> {

    List<CountGroupByDTO<String>> meetingCountSummary(Long createBy);

}
