package com.ningdatech.pmapi.meeting.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.basic.model.PagePo;
import com.ningdatech.pmapi.common.model.entity.CountGroupByDTO;
import com.ningdatech.pmapi.meeting.entity.domain.MeetingExpert;
import com.ningdatech.pmapi.meeting.entity.domain.MeetingExpertEvaluation;

import java.util.Collection;

/**
 * <p>
 * 专家评价表 服务类
 * </p>
 *
 * @author WendyYang
 * @since 2022-07-25
 */
public interface IMeetingExpertEvaluationService extends IService<MeetingExpertEvaluation> {

    Page<CountGroupByDTO<Long>> listExpertAttendSummary(Collection<Long> expertIds, Boolean isAttended, Page<CountGroupByDTO<Long>> page);

    Page<MeetingExpert> pageExpertEvaluationTodo(Collection<Long> meetingIds, PagePo po);

}
