package com.ningdatech.pmapi.organization.model.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2023/3/28 上午10:11
 */

@Data
@ApiModel("单位列表综合筛选请求")
public class ReqSynthesizePO {

    @ApiModelProperty("组织code")
    private String organizationCode;

    @ApiModelProperty("是否需要组织成员列表")
    private Boolean needMember = false;

    @ApiModelProperty("单位名称")
    private String organizationName;

    @ApiModelProperty("筛选人员姓名")
    private String employeeName;

    @ApiModelProperty("是否只筛选单位")
    private Boolean onlyUnit = false;
}
