package com.ningdatech.pmapi.organization.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2023/3/28 上午10:40
 */

@Data
@ApiModel("组织列表")
public class OrganizationSynthesizeTreeVO {

    @ApiModelProperty("上级部门")
    private String parentCode;

    @ApiModelProperty("浙政钉组织编号")
    private String organizationCode;

    @ApiModelProperty("名称")
    private String name;

//    @ApiModelProperty("自己组织列表")
//    private List<OrganizationSynthesizeTreeVO> childOrganizationList;

    @ApiModelProperty("组织下成员列表")
    private List<OrganizationMemberInfo> memberList;


    @ApiModel
    @Data
    public static class OrganizationMemberInfo {

        @ApiModelProperty("浙政钉 用户编码")
        private String employeeCode;

        @ApiModelProperty("姓名")
        private String name;
    }

}
