package com.ningdatech.pmapi.organization.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.pmapi.organization.model.entity.DingEmployeeInfo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author Lierbao
 * @since 2023-02-11
 */
public interface IDingEmployeeInfoService extends IService<DingEmployeeInfo> {

    /**
     * 根据专家 专有钉codeList 获取专家组织codeList
     *
     * @param employeeCodeList
     * @return
     */
    List<String> getEmployeesOrgCodeList(List<String> employeeCodeList);

    List<DingEmployeeInfo> getEmployeeList(List<String> employeeCodeList);
}
