package com.ningdatech.pmapi.performance.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 应用评价信息
 * @return
 * @author CMM
 * @since 2023/08/08 18:46
 */
@Data
public class ReAppraisalInfoDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("复评依据")
    private String reAppraisalBasis;

    @ApiModelProperty("复评得分")
    private BigDecimal reAppraisalScore;
}
