package com.ningdatech.pmapi.performance.model.entity;

/**
 * @author CMM
 * @since 2023/08/17 21:03
 */

import lombok.Data;

/**
 * Excel 导出类 - ExcelHead
 */
@Data
public class ExcelHead<T> {
    /**
     * 内容里的字段名称
     */
    private String fieldName;
    /**
     * 显示值，一般为中文的
     */
    private String title;
    /**
     * 如果为 null 的值
     */
    private T nullValue;
    public ExcelHead(String fieldName, String title) {
        this.fieldName = fieldName;
        this.title = title;
    }
    public ExcelHead(String fieldName, String title, T nullValue) {
        this.fieldName = fieldName;
        this.title = title;
        this.nullValue = nullValue;
    }
}
