package com.ningdatech.pmapi.performance.model.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author CMM
 * @since 2023-08-09
 */
@Data
@TableName("nd_performance_appraisal_score_info")
@ApiModel(value = "NdPerformanceAppraisalScoreInfo对象", description = "")
public class PerformanceAppraisalScoreInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("更新人")
    private String updateBy;

    @ApiModelProperty("项目评价计划模板ID")
    private Long templateId;

    @ApiModelProperty("项目评价计划模板详情ID")
    private Long templateDetailId;

    @ApiModelProperty("评价得分")
    private BigDecimal appraisalScore;

    @ApiModelProperty("评价依据")
    private String appraisalBasis;

    @ApiModelProperty("评价依据附件")
    private String appraisalBasisAppendix;

    @ApiModelProperty("评价人员code")
    private String appraisalEmployeeCode;

    @ApiModelProperty("评价人员姓名")
    private String appraisalEmployeeName;

    @ApiModelProperty("评价类型 1 单位自评、2 复评人员复评、3 专家核查、4 专家整改审核、5 应用评价")
    private Integer appraisalType;

    @ApiModelProperty("评价计划ID")
    private Long appraisalId;

    @ApiModelProperty("评价项目ID")
    private Long appraisalProjectId;

    @ApiModelProperty("评价项目Code")
    private String appraisalProjectCode;
}
