package com.ningdatech.pmapi.performance.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Classname PerformanceAppraisalApplicationVO
 * @Description 绩效评价对象
 * @Date 2023/6/19 14:02
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "绩效评价应用对象", description = "绩效评价应用对象")
public class PerformanceAppraisalApplicationVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("应用ID")
    private Long appId;

    @ApiModelProperty("应用关联的项目ID")
    private Long appraisalProjectId;

    @ApiModelProperty("应用关联的项目code")
    private String appraisalProjectCode;

    @ApiModelProperty("应用名称")
    private String applicationName;

    @ApiModelProperty("申报单位")
    private String buildOrgName;

    @ApiModelProperty("应用类型")
    private String applicationType;

    @ApiModelProperty("应用领域")
    private String bizDomain;

    @ApiModelProperty("发布端")
    private String publishSide;
}
