package com.ningdatech.pmapi.performance.model.vo;

import com.ningdatech.pmapi.user.security.auth.model.UserFullInfoDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 整改详情
 *
 * @author CMM
 * @since 2023/08/13 15:36
 */
@Data
@ApiModel(value = "整改详情", description = "整改详情")
public class RectifyDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("整改意见")
    private String rectifyOpinion;

    @ApiModelProperty("整改提交人")
    private UserFullInfoDTO rectifySubmitEmployee;

    @ApiModelProperty("整改提交时间")
    private LocalDateTime rectifySubmitTime;

    @ApiModelProperty("整改结果说明")
    private String rectifyResult;

    @ApiModelProperty("整改结果附件")
    private String rectifyResultAppendix;

    @ApiModelProperty("整改结果提交人")
    private UserFullInfoDTO rectifyResSubEmployee;

    @ApiModelProperty("整改结果提交时间")
    private LocalDateTime rectifyResSubTime;

    @ApiModelProperty("整改审核结果 1 通过、2 不通过")
    private Integer rectifyAuditResult;

    @ApiModelProperty("整改审核意见")
    private String rectifyAuditOpinion;

    @ApiModelProperty("整改审核附件")
    private String rectifyAuditAppendix;

    @ApiModelProperty("整改状态 1 整改情况待提交、2 整改核查不通过、3 整改待审核、4 整改审核通过")
    private Integer rectifyStatus;

    @ApiModelProperty("整改状态名称")
    private String rectifyStatusName;
}
