package com.ningdatech.pmapi.portrait.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 标签
 * </p>
 *
 * @author ZPF
 * @since 2023-08-02
 */
@Data
@ApiModel(value = "Tag对象", description = "标签")
public class TagDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("标签名")
    private String name;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("区域CODE")
    @NotNull(message = "区域CODE必填")
    private String areaCode;
}
