package com.ningdatech.pmapi.projectdeclared.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @Classname PaymentPlan
 * @Description
 * @Date 2023/5/30 16:11
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "PaymentPlan", description = "")
public class PaymentPlanSaveDTO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("付款计划")
    private String planAmount;

    @ApiModelProperty("支付金额")
    private BigDecimal paymentAmount;

    @ApiModelProperty("支付时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime paymentTime;

}
