package com.ningdatech.pmapi.projectdeclared.service;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.pmapi.common.constant.BizConst;
import com.ningdatech.pmapi.projectdeclared.model.entity.Purchase;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author zpf
 * @since 2023-05-29
 */
public interface IPurchaseService extends IService<Purchase> {

    default List<Purchase> listByProjectId(Long projectId) {
        return list(Wrappers.lambdaQuery(Purchase.class)
                .eq(Purchase::getProjectId, projectId));
    }

}
