package com.ningdatech.pmapi.projectlib.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @Classname AnnualAmountVO
 * @Description
 * @Date 2023/2/17 13:37
 * @Author PoffyZhang
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AnnualAmountVO {

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("年份")
    private Integer projectYear;

    @ApiModelProperty("年度投资资金")
    private BigDecimal annualAmount;

}
