package com.ningdatech.pmapi.projectlib.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.pmapi.projectlib.model.entity.ProjectRenewalFundDeclaration;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.pmapi.projectlib.model.po.ProjectRenewalFundDeclarationPO;
import com.ningdatech.pmapi.projectlib.model.req.ProjectRenewalListReq;

/**
 * <p>
 * 续建项目资金申请表 服务类
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-15
 */
public interface IProjectRenewalFundDeclarationService extends IService<ProjectRenewalFundDeclaration> {

    Page<ProjectRenewalFundDeclarationPO> pageSql(Page<ProjectRenewalFundDeclarationPO> page, ProjectRenewalListReq req);
}
