package com.ningdatech.pmapi.scheduler.contants;

import com.ningdatech.pmapi.common.enumeration.ProjectProcessStageEnum;

/**
 * @author PoffyZhang
 * @Classname TaskContant
 * @Description
 * @Date 2023/1/18 11:00
 */
public interface TaskContant {

    class Host {
        public static final String HOST_ZPF =  "LAPTOP-NQGEQP03";
        public static final String HOST_CMM2 =  "DESKTOP-KN1L6HL";
        public static final String HOST_CMM =  "LAPTOP-PCISPN2O";

        public static final String HOST_207 =  "iZbp13nwyvib53j4j1p2xoZ";
    }

    class Wflow {
        public static final String DEFAULT_FORM_NAME = "丽水申报项目表单";

        public static final String[] DEFAULT_PROCESS_LIST = {"单位内部审批流程","项目预审审批流程","部门联合审批流程","建设方案审批流程","验收申报审批流程"};

        public static final Integer[] DEFAULT_PROCESS_TYPE_LIST = {
                ProjectProcessStageEnum.ORG_INTERNAL_APPROVAL_PROCESS.getCode(),
                ProjectProcessStageEnum.PROJECT_PREQUALIFICATION_APPROVAL_PROCESS.getCode(),
                ProjectProcessStageEnum.DEPARTMENT_JOINT_APPROVAL_PROCESS.getCode(),
                ProjectProcessStageEnum.CONSTRUCTION_PROJECT_APPROVAL_PROCESS.getCode(),
                ProjectProcessStageEnum.ACCEPTANCE_DECLARATION_APPROVAL_PROCESS.getCode(),
                ProjectProcessStageEnum.APPLY_DELAY.getCode(),
                ProjectProcessStageEnum.APPLY_BORROW.getCode()
        };

        public static final Integer[] APPLY_PROCESS_TYPE_LIST = {
                ProjectProcessStageEnum.APPLY_DELAY.getCode(),
                ProjectProcessStageEnum.APPLY_BORROW.getCode()
        };
    }

    class ProvinceReview{
        public static final String END_NODE_ID = "结束";

        public static final String END_STEP = "流程结束";
    }
}
