package com.ningdatech.pmapi.staging.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.pmapi.staging.enums.MsgTypeEnum;
import com.ningdatech.pmapi.staging.model.entity.WorkNoticeStaging;
import com.ningdatech.pmapi.todocenter.bean.entity.WorkNoticeInfo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author CMM
 * @since 2023-02-28
 */
public interface INdWorkNoticeStagingService extends IService<WorkNoticeStaging> {

    Boolean addRetryTimes(WorkNoticeStaging workNoticeStaging);

    Boolean addByWorkNotice(WorkNoticeInfo workNoticeInfo, MsgTypeEnum msgType);

    /**
     * 批量保存工作通知
     *
     * @param workNoticeInfos 工作通知内容
     * @param msgType         通知类型
     */
    void addByWorkNotice(List<WorkNoticeInfo> workNoticeInfos, MsgTypeEnum msgType);

}
