package com.ningdatech.pmapi.sys.model.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * NoticeStatusUpdatePo
 * </p>
 *
 * @author WendyYang
 * @since 22:32 2022/7/22
 */
@Data
@ApiModel("消息状态修改")
public class NoticeStatusModifyReq {

    @ApiModelProperty("ID")
    @NotNull(message = "ID不能为空")
    private Long id;

    @ApiModelProperty("状态：true 启用、false 停用")
    @NotNull(message = "状态不能为空")
    private Boolean status;

}
