package com.ningdatech.pmapi.sys.model.req;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * NoticeListReq
 * </p>
 *
 * @author zpf
 * @since 00:32 2023/3/23
 */
@Data
@ApiModel("通知查询参数类")
@EqualsAndHashCode(callSuper = true)
public class NotifyListReq extends PagePo {

    @ApiModelProperty("是否已读")
    private Boolean readed;

    @ApiModelProperty("公告标题")
    private String title;

    @ApiModelProperty("类型")
    private String type;

}