package com.ningdatech.pmapi.sys.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * @Classname UserGuidanceDetailVO
 * @Description
 * @Date 2023/8/8 14:24
 * @Author PoffyZhang
 */
@Data
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@ApiModel(value = "UserGuidanceDetailVO", description = "用户引导详情VO")
public class UserGuidanceDetailVO {

    /**
     * 页面路径
     */
    @ApiModelProperty(value = "页面路径")
    private String path;

    /**
     * 是否完成
     */
    @ApiModelProperty(value = "是否完成")
    private Boolean isFinish;

    /**
     * 事项名称
     */
    @ApiModelProperty(value = "事项名称")
    private String name;

    /**
     * 备注 描述
     */
    @ApiModelProperty(value = "备注 描述")
    private String remark;
}
