package com.ningdatech.pmapi.todocenter.model.vo;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 待办中心待我处理数量统计
 *
 * @author CMM
 * @since 2023/04/12 16:51
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TodoNumVO {

    @ApiModelProperty("待我处理总数量")
    private Integer totalNum;

    @ApiModelProperty("待我处理非增补项目总数量")
    private Integer notAppendNum;

    @ApiModelProperty("待我处理非增补项目总数量")
    private Integer appendNum;
}
